## jupyter-sphinx 0.5.3

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# raise warnings to errors
html-strict:
	@$(SPHINXBUILD) -b html -nW --keep-going "$(SOURCEDIR)" "$(BUILDDIR)/html" $(SPHINXOPTS) $(O)

clean:
	rm -r $(BUILDDIR)

## jupyter-sphinx 0.2.3

=== debian/changelog ===
jupyter-sphinx (0.2.3-1) unstable; urgency=medium

  [ Alexandre Marie ]
  * Updated vcs-git url.
  * Added the d/salsa-ci.yml file for Salsa-CI.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.2.3
  * d/control: Updated Vcs-X
  * Trim trailing whitespace.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 24 Dec 2019 09:48:13 +0100

jupyter-sphinx (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #942846)

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Tue, 22 Oct 2019 15:17:09 +0200

=== debian/control ===
Source: jupyter-sphinx
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-ipywidgets,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-sphinx
Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-sphinx.git
Homepage: https://github.com/jupyter/jupyter-sphinx

Package: python3-jupyter-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Jupyter Sphinx Extension - Python3
 Jupyter-sphinx is a Sphinx extension that executes embedded code in a
 Jupyter kernel, and embeds outputs of that code in the document. It
 has support for rich output such as images, Latex math and even
 javascript widgets, and it allows one to enable thebelab for live code
 execution with minimal effort.
 .
 This is the Python3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Tue, 22 Oct 2019 11:24:03 +0200
export PYBUILD_NAME=jupyter-sphinx
%:
	dh $@ --with python3 --buildsystem=pybuild

## jupyter-sphinx 0.3.2

=== debian/changelog ===
jupyter-sphinx (0.3.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 19:40:56 +0000

jupyter-sphinx (0.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.3.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 02 Sep 2021 10:21:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: jupyter-sphinx
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ipywidgets,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-sphinx
-Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-sphinx.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-sphinx
+Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-sphinx.git
 Homepage: https://github.com/jupyter/jupyter-sphinx
 
 Package: python3-jupyter-sphinx

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/j/jupyter-sphinx/ \
    jupyter_sphinx-(.+)\.tar\.gz debian uupdate

## jupyter-sphinx 0.5.3

=== debian/changelog ===
jupyter-sphinx (0.5.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- EnkelenaH <enkelenah@debian.org>  Wed, 13 Aug 2025 23:11:12 +0200

jupyter-sphinx (0.5.3-1) experimental; urgency=medium

  * Team upload.

  [ EnkelenaH ]
  * [ea5c38d] autopkgtest: Add upstream tests
  * [c422092] d/metadata: Add documentation source
  * [6c510ed] d/: Note lintian warning on README.source

  [ Carsten Schoenert ]
  * [f1c50a7] d/gbp.conf: Add some default config
  * [1ee9752] d/watch: Switch to git mode on GitHub
  * [e944fd7] New upstream version 0.5.3
  * [8efbb14] d/control: Run wrap-and-sort -ast
  * [02de29e] d/{control,rules}: Move to dh-sequence-python
  * [98c5b12] d/control: Bump Standards-Version to 4.7.2
  * [783ddbf] Create patch queue from patch-queue branch
  * [9f31ec5] d/{control,rules}: Run the upstream tests at build
  * [66bd1a1] d/control: Add new B-D to build a -doc package
  * [ae7226a] d/control: Add new binary package python-jupyter-sphinx-doc
  * [0c5682d] d/rules: Add additional targets to build -doc package
  * [b5c1079] d/python-jupyter-sphinx-doc.doc-base: Add new sequencer
  * [db783a9] d/control: Add the Testsuite to source section

  [ Picca Frédéric-Emmanuel ]
  * [91931d0] d/control: Updated the build dependencies

 -- EnkelenaH <enkelena.h@gmail.com>  Sun, 13 Jul 2025 14:44:00 +0200

=== debian/control ===
Source: jupyter-sphinx
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-alabaster <!nodoc>,
 python3-all,
 python3-hatchling,
 python3-ipykernel (>= 4.5.1),
 python3-ipywidgets (>= 7),
 python3-matplotlib <!nodoc>,
 python3-nbconvert (>= 5.5),
 python3-nbformat,
 python3-numpy <!nodoc>,
 python3-pytest <!nocheck>,
 python3-sphinx (>= 7),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-sphinx
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-sphinx.git
Homepage: https://github.com/jupyter/jupyter-sphinx
Testsuite: autopkgtest-pkg-python

Package: python-jupyter-sphinx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-requirejs,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Jupyter Sphinx Extension - Documentation
 Jupyter-sphinx is a Sphinx extension that executes embedded code in a
 Jupyter kernel, and embeds outputs of that code in the document. It
 has support for rich output such as images, LaTeX math and even
 javascript widgets, and it allows one to enable thebelab for live code
 execution with minimal effort.
 .
 This package contains the documentation for python3-jupyter-sphinx.

Package: python3-jupyter-sphinx
Architecture: all
Depends:
 libjs-requirejs,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jupyter-sphinx-doc,
Description: Jupyter Sphinx Extension - Python3
 Jupyter-sphinx is a Sphinx extension that executes embedded code in a
 Jupyter kernel, and embeds outputs of that code in the document. It
 has support for rich output such as images, LaTeX math and even
 javascript widgets, and it allows one to enable thebelab for live code
 execution with minimal effort.
 .
 This is the Python3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export JUPYTER_PLATFORM_DIRS=1
export HOME=$(CURDIR)
export PYBUILD_NAME=jupyter-sphinx

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cd .pybuild && \
	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "jupyter_sphinx*dist-info" | head -n1)` && \
	export PYTHONPATH && \
	    python3 -m sphinx -b html $(SPHINXOPTS) ../doc/source $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X changelog.html

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/jupyter/jupyter-sphinx.git \
      refs/tags/@ANY_VERSION@
